# Что такое Kohana?

Kohana это открытый, [объектно-ориентированный](http://ru.wikipedia.org/wiki/Объектно-ориентированное_программирование) [MVC](http://ru.wikipedia.org/wiki/Model–View–Controller "Model View Controller") web-фреймворк, построенный на [PHP5](http://docs.php.net/manual/ru/intro-whatis.php "PHP Hypertext Preprocessor") на общественных началах, основными целями которого являются скорость, безопасность и небольшой размер.

[!!] Kohana использует лицензию [BSD](http://kohanaphp.com/license), так что Вы можете свободно использовать ее в любых своих открытых, коммерческих или персональных проектах.

## Чем хороша Kohana?

Что угодно может быть расширено с помощью уникальной [файловой системы](about.filesystem), требуется минимум [настроек](about.configuration), [перехват ошибок](debugging.errors) помогает быстро определить источник ошибок, а [отладка](debugging) и [профилирование](debugging.profiling) дают представление о происходящем внутри приложения.

Чтобы обезопасить Ваши приложения, представлены инструменты для [защиты от XSS](security.xss), [проверки введенных данных](security.validation), работы с [cookies](security.cookies), генераторы [форм](security.forms) и [HTML](security.html). Слой [баз данных](security.database) предусматривает защиту от [SQL-инъекций](http://ru.wikipedia.org/wiki/SQL-инъекция). Разумеется, весь официальный код написан с душой и проверен на наличие уязвимостей.

## Эта документация - г*вно!

Мы очень активно работаем над тем, чтобы обеспечить полное документирование. В случае, если Вы не смогли найти ответ на свой вопрос, прочитайте [неофициальную wiki](http://kerkness.ca/wiki/doku.php). Если Вы хотели бы что-то добавить или изменить в Руководстве пользователя, пожалуйста [сделайте свой форк userguide'а](http://github.com/kohana/userguide), внесите свои изменения и пошлите pull request. Если Вы ещё не познакомились с работой с Git, Вы так же можете опубликовать [запрос на изменение](http://dev.kohanaframework.org/projects/kohana3/issues) (требуется регистрация).
